%define upstream_name    List-SomeUtils-XS
%define upstream_version 0.58

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    XS implementation for List::SomeUtils
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/List/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Storable)
BuildRequires: perl(Test::Builder::Module)
BuildRequires: perl(Test::LeakTrace)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Warnings) >= 0.6.0
BuildRequires: perl(Tie::Array)
BuildRequires: perl(XSLoader)
BuildRequires: perl(base)
BuildRequires: perl(lib)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
%description
There are no user-facing parts here. See the List::SomeUtils manpage for
API details.

You shouldn't have to install this module directly. When you install the
List::SomeUtils manpage, it checks whether your system has a compiler. If
it does, then it adds a dependency on this module so that it gets installed
and you have the faster XS implementation.

This distribution requires the List::SomeUtils manpage but to avoid a
circular dependency, that dependency is explicitly left out from the this
distribution's metadata. However, without LSU already installed this module
cannot function.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%__make test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorarch/*


%changelog
* Tue Jun 07 2022 umeabot <umeabot> 0.580.0-10.mga9
+ Revision: 1862066
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.580.0-9.mga9
+ Revision: 1795895
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.580.0-8.mga9
+ Revision: 1726850
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.580.0-7.mga8
+ Revision: 1594850
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.580.0-6.mga8
+ Revision: 1529729
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 0.580.0-5.mga8
+ Revision: 1433816
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.580.0-4.mga7
+ Revision: 1293354
- Mageia 7 Mass Rebuild

* Thu Aug 09 2018 tv <tv> 0.580.0-3.mga7
+ Revision: 1250691
- fix build: s/perl_vendorlib/perl_vendorarch/
- rebuild for perl-5.28

* Fri Jun 22 2018 shlomif <shlomif> 0.580.0-1.mga7
+ Revision: 1238929
- update to 0.58

* Sat Jun 02 2018 shlomif <shlomif> 0.570.0-1.mga7
+ Revision: 1233668
- update to 0.57

* Tue Dec 26 2017 shlomif <shlomif> 0.560.0-1.mga7
+ Revision: 1185271
- update to 0.56
+ pterjan <pterjan>
- Rebuild for perl ABI changes

* Fri Jul 28 2017 shlomif <shlomif> 0.550.0-2.mga7
+ Revision: 1131817
- New version 0,55

* Sat Jul 22 2017 neoclust <neoclust> 0.520.0-2.mga7
+ Revision: 1126691
- Rebuild against new Perl 5.26

* Sun May 08 2016 shlomif <shlomif> 0.520.0-1.mga6
+ Revision: 1010672
- update to 0.52

* Thu Apr 28 2016 shlomif <shlomif> 0.510.0-1.mga6
+ Revision: 1007418
- imported package perl-List-SomeUtils-XS


* Thu Apr 28 2016 cpan2dist 0.51-1mga
- initial mageia release, generated with cpan2dist
